Bullet Collision Detection & Physics Library: btSoftBody::Body Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftBody::Body Struct Reference

`#include <btSoftBody.h>`

Collaboration diagram for btSoftBody::Body:
[legend]

## Public Member Functions
| Body ()
| Body (Cluster *p)
| Body (const btCollisionObject *colObj)
void | activate () const
const btMatrix3x3 & | invWorldInertia () const
btScalar | invMass () const
const btTransform & | xform () const
btVector3 | linearVelocity () const
btVector3 | angularVelocity (const btVector3 &rpos) const
btVector3 | angularVelocity () const
btVector3 | velocity (const btVector3 &rpos) const
void | applyVImpulse (const btVector3 &impulse, const btVector3 &rpos) const
void | applyDImpulse (const btVector3 &impulse, const btVector3 &rpos) const
void | applyImpulse (const Impulse &impulse, const btVector3 &rpos) const
void | applyVAImpulse (const btVector3 &impulse) const
void | applyDAImpulse (const btVector3 &impulse) const
void | applyAImpulse (const Impulse &impulse) const
void | applyDCImpulse (const btVector3 &impulse) const

## Public Attributes
Cluster * | m_soft
btRigidBody * | m_rigid
const btCollisionObject * | m_collisionObject

## Detailed Description

Definition at line 513 of file btSoftBody.h.

## Constructor & Destructor Documentation

## ◆ Body() [1/3]

btSoftBody::Body::Body | ( |  | ) |
| inline

Definition at line 519 of file btSoftBody.h.

## ◆ Body() [2/3]

btSoftBody::Body::Body | ( | Cluster * | p | ) |
| inline

Definition at line 520 of file btSoftBody.h.

## ◆ Body() [3/3]

btSoftBody::Body::Body | ( | const btCollisionObject * | colObj | ) |
| inline

Definition at line 521 of file btSoftBody.h.

## Member Function Documentation

## ◆ activate()

void btSoftBody::Body::activate | ( |  | ) | const
| inline

Definition at line 526 of file btSoftBody.h.

## ◆ angularVelocity() [1/2]

btVector3 btSoftBody::Body::angularVelocity | ( |  | ) | const
| inline

Definition at line 565 of file btSoftBody.h.

## ◆ angularVelocity() [2/2]

btVector3 btSoftBody::Body::angularVelocity | ( | const btVector3 & | rpos | ) | const
| inline

Definition at line 559 of file btSoftBody.h.

## ◆ applyAImpulse()

void btSoftBody::Body::applyAImpulse | ( | const Impulse & | impulse | ) | const
| inline

Definition at line 608 of file btSoftBody.h.

## ◆ applyDAImpulse()

void btSoftBody::Body::applyDAImpulse | ( | const btVector3 & | impulse | ) | const
| inline

Definition at line 603 of file btSoftBody.h.

## ◆ applyDCImpulse()

void btSoftBody::Body::applyDCImpulse | ( | const btVector3 & | impulse | ) | const
| inline

Definition at line 613 of file btSoftBody.h.

## ◆ applyDImpulse()

void btSoftBody::Body::applyDImpulse | ( | const btVector3 & | impulse,
|  | const btVector3 & | rpos ) const
| inline

Definition at line 580 of file btSoftBody.h.

## ◆ applyImpulse()

void btSoftBody::Body::applyImpulse | ( | const Impulse & | impulse,
|  | const btVector3 & | rpos ) const
| inline

Definition at line 585 of file btSoftBody.h.

## ◆ applyVAImpulse()

void btSoftBody::Body::applyVAImpulse | ( | const btVector3 & | impulse | ) | const
| inline

Definition at line 598 of file btSoftBody.h.

## ◆ applyVImpulse()

void btSoftBody::Body::applyVImpulse | ( | const btVector3 & | impulse,
|  | const btVector3 & | rpos ) const
| inline

Definition at line 575 of file btSoftBody.h.

## ◆ invMass()

btScalar btSoftBody::Body::invMass | ( |  | ) | const
| inline

Definition at line 540 of file btSoftBody.h.

## ◆ invWorldInertia()

const btMatrix3x3 & btSoftBody::Body::invWorldInertia | ( |  | ) | const
| inline

Definition at line 533 of file btSoftBody.h.

## ◆ linearVelocity()

btVector3 btSoftBody::Body::linearVelocity | ( |  | ) | const
| inline

Definition at line 553 of file btSoftBody.h.

## ◆ velocity()

btVector3 btSoftBody::Body::velocity | ( | const btVector3 & | rpos | ) | const
| inline

Definition at line 571 of file btSoftBody.h.

## ◆ xform()

const btTransform & btSoftBody::Body::xform | ( |  | ) | const
| inline

Definition at line 546 of file btSoftBody.h.

## Member Data Documentation

## ◆ m_collisionObject

const btCollisionObject* btSoftBody::Body::m_collisionObject

Definition at line 517 of file btSoftBody.h.

## ◆ m_rigid

btRigidBody* btSoftBody::Body::m_rigid

Definition at line 516 of file btSoftBody.h.

## ◆ m_soft

Cluster* btSoftBody::Body::m_soft

Definition at line 515 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h